-- Nuke Happy Warmongers --
-- Author: Das_Capitolin --
----------------------------------------------------------------------------------------------------

-- AI Favored Item values (Value = INTEGER, behaves like priority) --
UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'BaseOperationsLimits' AND Item = 'CITY_ASSAULT'; -- Value = '1' (Unknown influence)
UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'PerWarOperationsLimits' AND Item = 'CITY_ASSAULT'; -- Value = '1'
UPDATE AiFavoredItems SET Value = '1' WHERE ListType = 'BaseOperationsLimits' AND Item = 'OP_SETTLE'; -- Value = '1' (T100/no barbarians: 0=0, 1=5 5=7, 9=8. 1 Ideal)
UPDATE AiFavoredItems SET Value = '2' WHERE ListType = 'BaseOperationsLimits' AND Item = 'OP_NUCLEAR'; -- Value = '2'
	-- Pseudoyield (Value = INTEGER)
UPDATE AiFavoredItems SET Value = '2' WHERE ListType = 'MilitaryVictoryOperations' AND Item = 'CITY_ASSAULT'; -- Value = '2' (Unknown influence)
UPDATE AiFavoredItems SET Value = '25' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_CITY_DEFENSES'; -- Value = '25'
UPDATE AiFavoredItems SET Value = '100' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_CITY_ORIGINAL_CAPITAL'; -- Value = '100'
UPDATE AiFavoredItems SET Value = '-100' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_DIPLOMATIC_BONUS'; -- Value = '-50'
UPDATE AiFavoredItems SET Value = '25' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_NUCLEAR_WEAPON'; -- Value = '25'
UPDATE AiFavoredItems SET Value = '25' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_UNIT_COMBAT'; -- Value = '25'
UPDATE AiFavoredItems SET Value = '15' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_UNIT_NAVAL_COMBAT'; -- Value = '25'
UPDATE AiFavoredItems SET Value = '35' WHERE ListType = 'MilitaryVictoryPseudoYields' AND Item = 'PSEUDOYIELD_UNIT_AIR_COMBAT'; -- Value = '25'
UPDATE AiFavoredItems SET Value = '50' WHERE ListType = 'MilitaryVictoryYields' AND Item = 'YIELD_PRODUCTION'; -- Value = '25' (Focus military production at war)

-- Adjust the number of cities assault operations (Value = INTEGER) --
UPDATE AiOperationTypes SET Value = '1' WHERE OperationType = 'CITY_ASSAULT'; -- Value = '1' (Value = '2' breaks war, 0 does not but has unknown influence)

-- Ongoing AI Nuclear Strength Advantage --
UPDATE AiOperationTeams SET OngoingStrengthAdvantage = '-1' WHERE TeamName = 'Nuclear Attack' AND OperationName = 'Nuclear Assault'; -- OngoingStrengthAdvantage='0' (REAL, Unknown influence)

-- Combat requirements for attack (MinOddsOfSuccess = REAL, Priority = INTEGER, higher = more important) --
	-- Attack Barbarians
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Attack Barb Camp' AND TargetType = 'TARGET_BARBARIAN_CAMP' AND OperationType='ATTACK_BARBARIANS' AND BehaviorTree='Simple Operation Attack'; -- Priority = '3'
UPDATE AiOperationDefs SET MaxTargetDistInArea = '15' WHERE OperationName = 'Attack Barb Camp' AND TargetType = 'TARGET_BARBARIAN_CAMP' AND OperationType='ATTACK_BARBARIANS' AND BehaviorTree='Simple Operation Attack'; -- MaxTargetDistInArea = '25'
UPDATE AiOperationDefs SET MinOddsOfSuccess = '0.9' WHERE OperationName = 'Attack Barb Camp' AND TargetType = 'TARGET_BARBARIAN_CAMP' AND OperationType='ATTACK_BARBARIANS' AND BehaviorTree='Simple Operation Attack'; -- MinOddsOfSuccess = '0.5'
	-- Early Attack Enemy City
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- Priority = '3'
UPDATE AiOperationDefs SET MaxTargetDistInArea = '35' WHERE OperationName = 'Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MaxTargetDistInArea = '30'
UPDATE AiOperationDefs SET MinOddsOfSuccess = '0.7' WHERE OperationName = 'Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MinOddsOfSuccess = '0.5'
UPDATE AiOperationDefs SET MustHaveUnits = '4' WHERE OperationName = 'Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MustHaveUnits = '5'
	-- Early Wartime Attack Enemy City
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Wartime Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault';  -- Priority = '3'
UPDATE AiOperationDefs SET MaxTargetDistInArea = '50' WHERE OperationName = 'Wartime Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MaxTargetDistInArea = '45'
UPDATE AiOperationDefs SET MinOddsOfSuccess = '0.5' WHERE OperationName = 'Wartime Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MinOddsOfSuccess = '0.25'
UPDATE AiOperationDefs SET MustHaveUnits = '2' WHERE OperationName = 'Wartime Attack Enemy City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Early City Assault'; -- MustHaveUnits = '3'
	-- Siege Attack Walled City
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- Experimental!
UPDATE AiOperationDefs SET MaxTargetDistInArea = '35' WHERE OperationName = 'Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MaxTargetDistInArea = '30'
UPDATE AiOperationDefs SET MinOddsOfSuccess = '0.7' WHERE OperationName = 'Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MinOddsOfSuccess = 0.6
UPDATE AiOperationDefs SET MustHaveUnits = '8' WHERE OperationName = 'Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MustHaveUnits = 10
	-- Wartime Siege Attack Walled City
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Wartime Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- Priority = '3'
UPDATE AiOperationDefs SET MaxTargetDistInArea = '55' WHERE OperationName = 'Wartime Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MaxTargetDistInArea = '45'
UPDATE AiOperationDefs SET MinOddsOfSuccess = '0.5' WHERE OperationName = 'Wartime Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MinOddsOfSuccess = 0.4
UPDATE AiOperationDefs SET MustHaveUnits = '4' WHERE OperationName = 'Wartime Attack Walled City' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType='CITY_ASSAULT' AND BehaviorTree='Siege City Assault'; -- MustHaveUnits = 6	
	-- Capture Barbarian Builder Priority
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Barbarian Builder Capture' AND TargetType = 'TARGET_BARBARIAN_CAMP' AND BehaviorTree='Escort Worker To Camp'; -- Experimental!
	-- Capture Enemy Builder Priority
UPDATE AiOperationDefs SET Priority = '0' WHERE OperationName = 'Civilian Builder Capture' AND TargetType = 'TARGET_FRIENDLY_CITY' AND BehaviorTree='Escort Worker To Camp'; -- Priority = '1'
	-- Settle New City Priority
UPDATE AiOperationDefs SET Priority = '0' WHERE OperationName = 'Settle New City' AND TargetType = 'TARGET_SETTLE_LOCATION' AND OperationType = 'OP_SETTLE' AND BehaviorTree='Settle City Op'; -- Priority = '4' (Turn 100: Priority 0 = 4 Settlements. Priority 4.99 = 5 Settlements.)
	-- Nuclear Assault Priority
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Nuclear Assault' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND OperationType = 'OP_NUCLEAR' AND BehaviorTree='Nuclear Assault'; -- Priority = '3'
	-- Reinforce Ally
UPDATE AiOperationDefs SET Priority = '4' WHERE OperationName = 'Aid Ally' AND TargetType = 'TARGET_ALLY_SUPPORT' AND OperationType = 'CITY_ASSAULT' AND BehaviorTree='Reinforce Ally'; -- Priority = '3'
	-- Barbarian Attacks
UPDATE AiOperationDefs SET Priority = '1' WHERE OperationName = 'Barbarian Attack' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND BehaviorTree='Raid City'; -- Priority = '3'
UPDATE AiOperationDefs SET Priority = '2' WHERE OperationName = 'Barbarian City Assault' AND TargetType = 'TARGET_ENEMY_COMBAT_DISTRICT' AND BehaviorTree='Barbarian City Attack'; -- Priority = '4'

-- Combat units required for attacks --
	-- Simple Early Attack Force
UPDATE OpTeamRequirements SET MinNumber = '3' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '1'
UPDATE OpTeamRequirements SET MaxNumber = '12' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MaxNumber = '10'
UPDATE OpTeamRequirements SET MinNumber = '2' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber = '1'
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- Experimental!
UPDATE OpTeamRequirements SET MaxNumber = '6' WHERE TeamName = 'Simple Early Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MaxNumber = '3'
	-- Simple City Attack Force
UPDATE OpTeamRequirements SET MinNumber = '6' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '5'
UPDATE OpTeamRequirements SET MaxNumber = '18' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MaxNumber = '16'
UPDATE OpTeamRequirements SET MinNumber = '2' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber = '2'
UPDATE OpTeamRequirements SET MaxNumber = '6' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MaxNumber = '3'
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- Experimental!
UPDATE OpTeamRequirements SET MaxNumber = '4' WHERE TeamName = 'Simple City Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MaxNumber = '3'
	-- City Attack Force
UPDATE OpTeamRequirements SET MinNumber = '6' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '5'
UPDATE OpTeamRequirements SET MaxNumber = '18' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITAI_COMBAT'; -- MaxNumber = '16'
UPDATE OpTeamRequirements SET MinNumber = '2' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_MELEE'; -- MinNumber = '2'
UPDATE OpTeamRequirements SET MinNumber = '2' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_RANGED'; -- MinNumber = '1'
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MinNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '4' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE'; -- MaxNumber = '3'
UPDATE OpTeamRequirements SET MinNumber = '0' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- MinNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '6' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- MaxNumber = '1'
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_SIEGE_ALL'; -- MinNumber = '1'
UPDATE OpTeamRequirements SET MaxNumber = '6' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MaxNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '6' WHERE TeamName = 'City Attack Force' AND AiType = 'UNITTYPE_NAVAL'; -- MaxNumber = '0'
	-- Builder Capture
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'Barbarian Builder Capture' AND AiType = 'UNITTYPE_NAVAL'; -- MaxNumber = '0'
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'Civilian Builder Capture' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'Civilian Builder Capture' AND AiType = 'UNITTYPE_NAVAL'; -- MaxNumber = '0'
	-- Settle City
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'Settle City Team' AND AiType = 'UNITTYPE_NAVAL'; -- MaxNumber = '0'
	-- City Defense
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'City Defense' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_NAVAL'; -- MaxNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_AIR'; -- MaxNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '1' WHERE TeamName = 'City Defense' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- MaxNumber = '0'
	-- Barbarian Raid
UPDATE OpTeamRequirements SET MinNumber = '2' WHERE TeamName = 'Barbarian Raid' AND AiType = 'UNITAI_COMBAT'; -- MinNumber = '1'
	-- Nuclear Attack
UPDATE OpTeamRequirements SET MinNumber = '1' WHERE TeamName = 'Nuclear Attack' AND AiType = 'UNITTYPE_NUCLEAR'; -- MinNumber = '1'
UPDATE OpTeamRequirements SET MinNumber = '0' WHERE TeamName = 'Nuclear Attack' AND AiType = 'UNITTYPE_NUCLEAR_ESCORT'; -- MinNumber = '0'
	-- Aid Ally Attack Force
UPDATE OpTeamRequirements SET MaxNumber = '2' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_AIR'; -- MaxNumber = '0'
UPDATE OpTeamRequirements SET MaxNumber = '2' WHERE TeamName = 'Aid Ally Attack Force' AND AiType = 'UNITTYPE_AIR_SIEGE'; -- Experimental!

-- Diplomatic modifier values (Value = TEXT) --
UPDATE ModifierArguments SET Value = '-25' WHERE Name='ModifierPerTransgression' AND ModifierId = 'STANDARD_DIPLOMATIC_BROKEN_PROMISE'; -- Value = '-6'
UPDATE ModifierArguments SET Value = '-20' WHERE Name='InitialValue' AND ModifierId = 'STANDARD_DIPLOMATIC_CONVERTED_CITY'; -- Value = '-9'
UPDATE ModifierArguments SET Value = '10' WHERE Name='InitialValue' AND ModifierId = 'STANDARD_DIPLOMATIC_DECLARED_FRIEND'; -- Value = '9'
UPDATE ModifierArguments SET Value = '-25' WHERE Name='InitialValue' AND ModifierId = 'STANDARD_DIPLOMATIC_DENOUNCED'; -- Value = '-9'
UPDATE ModifierArguments SET Value = '15' WHERE Name='ReductionTurns' AND ModifierId = 'STANDARD_DIPLOMATIC_DENOUNCED'; -- Value = '10'
UPDATE ModifierArguments SET Extra = '-2' WHERE Name='DifficultyOffset' AND ModifierId = 'STANDARD_DIPLOMACY_RANDOM'; -- Extra = '-1'

-- Pseudoyield values (Value = REAL) --
UPDATE PseudoYields SET DefaultValue = '1.0' WHERE PseudoYieldType = 'PSEUDOYIELD_CLEAR_BANDIT_CAMPS'; -- DefaultValue = '0.5'
UPDATE PseudoYields SET DefaultValue = '1.0' WHERE PseudoYieldType = 'PSEUDOYIELD_IMPROVEMENT'; -- DefaultValue = '0.5' (1.0 Ideal)
UPDATE PseudoYields SET DefaultValue = '1.0' WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_COMBAT'; -- DefaultValue = '1.0' (10.0=Nearing gold threshold - avoid over-production)
UPDATE PseudoYields SET DefaultValue = '0.5' WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_NAVAL_COMBAT'; -- DefaultValue = '1.0'
UPDATE PseudoYields SET DefaultValue = '2.0' WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_AIR_COMBAT'; -- DefaultValue = '2.0'
UPDATE PseudoYields SET DefaultValue = '0.1' WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_TRADE'; -- DefaultValue = '1.0' (Produce fewer traders)
UPDATE PseudoYields SET DefaultValue = '30.0' WHERE PseudoYieldType = 'PSEUDOYIELD_UNIT_SPY'; -- DefaultValue = '20.0'
UPDATE PseudoYields SET DefaultValue = '25.0' WHERE PseudoYieldType = 'PSEUDOYIELD_DISTRICT'; -- DefaultValue = '3.5' (25 Works well)
UPDATE PseudoYields SET DefaultValue = '50.0' WHERE PseudoYieldType = 'PSEUDOYIELD_NUCLEAR_WEAPON'; -- DefaultValue = '25.0'
UPDATE PseudoYields SET DefaultValue = '25' WHERE PseudoYieldType = 'PSEUDOYIELD_TECHNOLOGY'; -- DefaultValue = '5'
	-- Yield value is a multiplier to the sum of the square root of each city population. Value increases the priority of the builds accordingly
UPDATE PseudoYields SET DefaultValue = '1.25' WHERE PseudoYieldType = 'PSEUDOYIELD_STANDING_ARMY_NUMBER'; --DefaultValue = '1.0' (Avoid disbanding from over-production beyond 1.25)
UPDATE PseudoYields SET DefaultValue = '1.0' WHERE PseudoYieldType = 'PSEUDOYIELD_STANDING_ARMY_VALUE'; -- DefaultValue = '0.1' (Value of unit's potential strength relating to choices and upgrades.)
	-- Used to determine which cities to attack, and how high to rate that attack in comparison to all other production or uses --
UPDATE PseudoYields SET DefaultValue = '500' WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_BASE'; -- DefaultValue = '450' (Higher value triggers war.)
UPDATE PseudoYields SET DefaultValue = '200' WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_DEFENSES'; -- DefaultValue = '200' (Garrison Defense Strength threshold)
UPDATE PseudoYields SET DefaultValue = '100' WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_DEFENDING_UNITS'; -- DefaultValue = '80' (Defending Units threshold)
UPDATE PseudoYields SET DefaultValue = '200' WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_ORIGINAL_CAPITAL'; -- DefaultValue = '200' (Capital threshold before attack)
UPDATE PseudoYields SET DefaultValue = '50' WHERE PseudoYieldType = 'PSEUDOYIELD_CITY_POPULATION'; -- DefaultValue = '50' (0-100 have no perceivable influence.)